Kabon Share API
  1. Workspaces
Kabon Share API
  • Authentication
    • Create new user account
      POST
    • Login to existing account
      POST
    • Initiate Google OAuth for YouTube
      GET
    • Initiate Facebook OAuth
      GET
    • Get OAuth authorization URL for a platform
      GET
    • Get connected social accounts
      GET
    • Connect a specific Facebook Page by ID
      POST
  • Posts
    • Create and publish a post
      POST
    • Get user's posts
      GET
    • Get post details
      GET
    • Update post
      PATCH
    • Delete post
      DELETE
  • Assets
    • Upload media asset
      POST
    • Get user's assets
      GET
    • Delete asset
      DELETE
  • Plans
    • Get available subscription plans
      GET
  • Subscriptions
    • Upgrade subscription plan
      POST
    • Get subscription status
      GET
  • Services
    • Get service status
      GET
    • Toggle service on/off (admin only)
      POST
  • Queue
    • Get queue statistics
  • Internal
    • Internal endpoint for worker-to-server file uploads
  • Workspaces
    • Get all workspaces for the authenticated user
      GET
    • Create a new workspace
      POST
    • Get a specific workspace
      GET
    • Update a workspace
      PATCH
    • Delete a workspace
      DELETE
  • Schemas
    • Error
    • User
    • Subscription
    • Plan
    • Post
    • PlatformPost
    • Media
    • Asset
    • SocialAccount
    • Workspace
  1. Workspaces

Get a specific workspace

GET
https://api.mediashare.com/api/workspaces/{id}

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Path Params

Responses

🟢200
application/json
Workspace details
Body

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.mediashare.com/api/workspaces/' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "_id": "string",
    "name": "string",
    "description": "string",
    "user": "string",
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z",
    "isActive": true
}
Modified at 2025-12-29 09:11:35
Previous
Create a new workspace
Next
Update a workspace
Built with